Subject: I-D Action: draft-ietf-6man-default-iids-13.txt

From: [email-masked]
Date: Fri, 08 Jul 2016 12:53:19 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 Maintenance of the IETF.

        Title           : Recommendation on Stable IPv6 Interface Identifiers
        Authors         : Fernando Gont
                          Alissa Cooper
                          Dave Thaler
                          Will Liu
	Filename        : draft-ietf-6man-default-iids-13.txt
	Pages           : 23
	Date            : 2016-07-08

Abstract:
   This document changes the recommended default IID generation scheme
   for cases where SLAAC is used to generate a stable IPv6 address.  It
   recommends using the mechanism specified in RFC7217 in such cases,
   and recommends against embedding stable link-layer addresses in IPv6
   Interface Identifiers.  It formally updates RFC2464, RFC2467,
   RFC2470, RFC2491, RFC2492, RFC2497, RFC2590, RFC3146, RFC3572,
   RFC4291, RFC4338, RFC4391, RFC5072, and RFC5121, by removing the text
   in these RFCs that required the IPv6 Interface Identifiers to be
   derived from the underlying stable link-layer address, and replacing
   this text with recommendations consistent with those in this
   document.  Additionally, this document updates RFC3315 by specifying
   additional requirements on the generation of Interface Identifiers
   used in Dynamic Host Configuration Protocol version 6 (DHCPv6).  It
   also provides advice to system administrators who employ manual
   configuration.  This document does not change any existing
   recommendations concerning the use of temporary addresses as
   specified in RFC 4941.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-6man-default-iids/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-6man-default-iids-13

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-default-iids-13

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 8 Jul 2016 13:11:51 -0700

Note that the -12 version of this document contains the bulk of the updates. It had a typo in the abstract, which is fixed in the -13.

Based on list discussion, we made a bunch of changes:

* Adopted Jinmei’s text in Section 1.

* Otherwise made changes to clarify that the scope of this document’s recommendations is cases where an IID would have otherwise been generated using SLAAC by embedding a _stable_ link-layer address.

* Boiled the recommendations in Section 3 down to their essence. The compounding of MUSTs and SHOULDs in -11 seemed like a problem that was causing confusion. The basic recommendations now are that nodes SHOULD employ 7217 as the default scheme when they need to generate a stable IPv6 address with SLAAC and that nodes SHOULD NOT employ IPv6 address generation schemes that embed a stable link-layer address in the IID.

* Changed the updates to IPv6-over-foo documents in Section 6 to directly reflect the two requirements above. Again, this seemed cleaner that compounding a “MUST follow RFCXXXX” requirement with the SHOULD/SHOULD NOT requirements in Section 3.

Hopefully this resolves the issues raised during WGLC.

Alissa

> On Jul 8, 2016, at 12:53 PM, [email-masked] wrote:
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 9 Jul 2016 19:42:38 +1200

NB the useful diff is at
https://tools.ietf.org/rfcdiff?url1=draft-ietf-6man-default-iids-11.txt?url2=draft-ietf-6man-default-iids-13.txt

Regards
   Brian

On 09/07/2016 08:11, Alissa Cooper wrote:
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>